| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Protocols
Protocols.OBEX
Protocols.OBEX.Client

# Method Protocols.OBEX.Client()->do_get()

Method do_get

  `array(int|Headers) do_get(Stdio.Stream data, Headers|void headers)`

Description

  Perform a REQ_GET request.

Parameter `data`

  A stream to write the body data to

Parameter `headers`

  Headers for the request

Returns

  See do_request() . The Headers do not contain any HI_BODY headers, they are written to the data stream.

See also

  do_put() , do_request()